<html>
<head><title>Komfortkasse Checkout Example</title></head>
<body style="font-family: Calibri, Arial, Helvetica">
<h3>Komfortkasse Checkout Test</h3>


<?php

error_reporting(E_ERROR);
require_once 'settings.php';

if (!$apikey || !$signature_key || !$email) {
    die("Fill out settings.php first!");
    
}

// Komfortkasse Checkout Example

$params = array();
$params['number'] = $_POST['order_number'] ? $_POST['order_number'] : rand(10000, 99999);
$params['date'] = $_POST['date'] ? $_POST['date'] : date('d.m.Y');
$params['amount'] = $_POST['amount'] ? $_POST['amount'] : 123.45;
$params['currency_code'] = $_POST['currency_code'] ? $_POST['currency_code'] : 'EUR';
$params['exchange_rate'] = 1.0;
$params['language_code'] = $_POST['language_code'] ? $_POST['language_code'] : 'de-DE';
$params['billing_firstname'] = $_POST['billing_firstname'] ? $_POST['billing_firstname'] : 'Max';
$params['billing_lastname'] = $_POST['billing_lastname'] ? $_POST['billing_lastname'] : 'Mustermann';
$params['products'] = array();
$params['products'][] = 'ABC';
$params['products'][] = 'XYZ';
$params['email'] = $email;

?>

<form action="index.php" method="post">

<?php 

if ($_POST['generate']) {

    $url = 'https://ssl.komfortkasse.eu/api/checkout.jsf';
    
    // generate callback link
    
    $link = $url.'?key='.$apikey;
    $link .= '&number='.$params['number'];
    $link .= '&date='.$params['date'];
    $link .= '&amount='.$params['amount'];
    $link .= '&currency_code='.$params['currency_code'];
    $link .= '&exchange_rate='.$params['exchange_rate'];
    $link .= '&email='.urlencode($params['email']);
    $link .= '&language_code='.$params['language_code'];
    $link .= '&billing_firstname='.urlencode($params['billing_firstname']);
    $link .= '&billing_lastname='.urlencode($params['billing_lastname']);
    for ($i = 0; $i<sizeof($params['products']); $i++) {
        $link .= '&';
        $link .= urlencode('products['.$i.']');
        $link .= '='.urlencode($params['products'][$i]);
    }
    
    // generate signature
    
    include_once 'oauth.php';
    
    // flatten array of products
    if (is_array($params['products'])) {
        for ($i = 0; $i<sizeof($params['products']); $i++) {
            $params['products['.$i.']'] = $params['products'][$i];
        }
        unset($params['products']);
    }
    
    $signature = oauth_signature($url, $params);
    
    $link = $link.'&hash='.$signature;
    
?>

<a href="<?php echo $link; ?>" target="_blank">Checkout</a>

TODO have input in hidden fields
<input type="submit" name="go back" value="Go back">

<?php 

} else {

?>



<table border="0">
<tr><td>Order number:</td><td><input name="order_number" value="<?php echo $params['number']; ?>"></td></tr>
<tr><td>Order date:</td><td><input name="date" value="<?php echo $params['date']; ?>"></td></tr>
<tr><td>Amount:</td><td><input name="amount" value="<?php echo $params['amount']; ?>" size="13"> <input name="currency_code" value="<?php echo $params['currency_code']; ?>" size="3"></td></tr>
<tr><td>Language code:</td><td><input name="language_code" value="<?php echo $params['language_code']; ?>"></td></tr>
<tr><td>Name:</td><td><input name="billing_firstname" value="<?php echo $params['billing_firstname']; ?>" size="6"><input name="billing_lastname" value="<?php echo $params['billing_lastname']; ?>" size="10"></td></tr>
<tr><td>E-Mail:</td><td><?php echo $email; ?></td></tr>
</table>
<br/>
<input type="submit" name="generate" value="Generate Checkout Link"> <a href="index.php">Reset values</a>




<?php 

}

?>


</form>

</body>
</html>
